hsm_ctx_t Struct Reference

`#include <libhsm.h>`

## Data Fields

hsm_session_t * | session [HSM_MAX_SESSIONS]
size_t | session_count
int | error
const char * | error_action
char | error_message [HSM_ERROR_MSGSIZE]
ldns_rbtree_t * | keycache
pthread_mutex_t * | keycache_lock

## Detailed Description

HSM context to keep track of sessions

Definition at line 130 of file libhsm.h.

## Field Documentation

## error

int hsm_ctx_t::error

static string describing the action we were trying to do when the first error happened

Definition at line 135 of file libhsm.h.

## error_action

const char* hsm_ctx_t::error_action

static string describing the first error

Definition at line 139 of file libhsm.h.

## error_message

char hsm_ctx_t::error_message[HSM_ERROR_MSGSIZE]

Definition at line 142 of file libhsm.h.

## keycache

ldns_rbtree_t* hsm_ctx_t::keycache

Definition at line 144 of file libhsm.h.

## keycache_lock

pthread_mutex_t* hsm_ctx_t::keycache_lock

Definition at line 145 of file libhsm.h.

## session

hsm_session_t* hsm_ctx_t::session[HSM_MAX_SESSIONS]

HSM sessions

Definition at line 131 of file libhsm.h.

## session_count

size_t hsm_ctx_t::session_count

number of configured HSMs non-zero if the last operation failed (only the first error will be set)

Definition at line 132 of file libhsm.h.

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h